%define upstream_name    WebFetch
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl module to download and save information from the Web
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.perl.org/modules/by-module/WebFetch/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Calc)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::LinkExtor)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Locale::Country)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Atom::Client)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::RSS)
BuildRequires: perl(Template)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

Requires:   perl-Locale-Codes
Requires:   perl-Date-Calc
Requires:   perl-XML-Parser

%description
WebFetch is a Perl module to download and save information from the Web, and
to display on the Web.  It will download from sites such as CNet, CNN,
Freshmeat, Slashdot, LinuxToday, Yahoo, and more.  It can even export your
site's news for other sites to include in their web pages.

%prep 
%setup -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
rm -f t/pod-coverage.t
make test

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} DESTDIR=$RPM_BUILD_ROOT install

%files
%doc Changes META.yml MYMETA.yml README TODO
%{perl_vendorlib}/WebFetch*
%{perl_vendorlib}/*.pod
%_mandir/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.130.0-10.mga10
+ Revision: 2211985
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.130.0-9.mga9
+ Revision: 1830741
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-8.mga8
+ Revision: 1498213
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-7.mga7
+ Revision: 1272575
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-6.mga6
+ Revision: 1035692
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.130.0-5.mga6
+ Revision: 949478
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 789698
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-3.mga5
+ Revision: 739936
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 686877
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.130.0-1.mga5
+ Revision: 597022
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.13

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 515992
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 374822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 34458
- mageia rebuild
- imported package perl-WebFetch


* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 422889
- update to 0.12

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-14mdv2009.0
+ Revision: 258785
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-13mdv2009.0
+ Revision: 246701
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.10-11mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.10-11mdv2007.0
+ Revision: 73532
- Fix Build
- import perl-WebFetch-0.10-10mdk

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.10-10mdk
- Fix url

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.10-9mdk
- remove -q

* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10-8mdk
- rebuild

